Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Containers for J2EE Job Scheduler Java API Reference 10g Release 3 (10.1.3) B16026-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ias.scheduler.event
Class JobExecutionSucceededEvent

    java.lang.Object
      oracle.ias.scheduler.event.SchedulerEvent
          oracle.ias.scheduler.event.RestartEvent
              oracle.ias.scheduler.event.JobExecutionEvent
                  oracle.ias.scheduler.event.JobExecutionSucceededEvent

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable

public final class JobExecutionSucceededEvent
extends JobExecutionEvent
implements java.io.Externalizable

This event is raised every time a single action job completes.

See Also:
  Serialized Form

Field Summary

Fields inherited from class oracle.ias.scheduler.event.JobExecutionEvent
`m_beginTime, m_endTime, m_id`

Fields inherited from class oracle.ias.scheduler.event.RestartEvent
`m_replay, m_retry`

Fields inherited from class oracle.ias.scheduler.event.SchedulerEvent
`m_source, m_timestamp`

Constructor Summary
`JobExecutionSucceededEvent()`
`JobExecutionSucceededEvent(JobHandle job, long begin, long end, boolean isReplay, boolean isRetry)` Initializes a newly created `JobSucceedededEvent` with the job handle, execution begin time, and execution end time specified.

Method Summary
`boolean` | `equals(java.lang.Object v)`
`static int` | `getVersion()` Internal use only.
`int` | `hashCode()`
`void` | `readExternal(java.io.ObjectInput in)` Restores the contents of this object from the stream specified.
`void` | `writeExternal(java.io.ObjectOutput out)` Saves the contents of this object to the stream specified.

Methods inherited from class oracle.ias.scheduler.event.JobExecutionEvent
`getBeginTime, getElapsedTime, getEndTime, getId`

Methods inherited from class oracle.ias.scheduler.event.RestartEvent
`isReplay, isRetry`

Methods inherited from class oracle.ias.scheduler.event.SchedulerEvent
`getHandle, getSource, getTimestamp`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JobExecutionSucceededEvent

    public JobExecutionSucceededEvent(JobHandle job,
                                      long begin,
                                      long end,
                                      boolean isReplay,
                                      boolean isRetry)
                               throws java.lang.IllegalArgumentException

  Initializes a newly created `JobSucceedededEvent` with the job handle, execution begin time, and execution end time specified.

Parameters:
  `job` - a handle to the job whose execution succeeded
  `begin` - execution start time in milliseconds since epoch UTC
  `end` - execution end time in milliseconds since epoch UTC
  `isReplay` - whether this execution is a result of a replay
  `isRetry` - whether this execution is a result of a retry
Throws:
  `java.lang.IllegalArgumentException` - if isReplay and isRetry each evaluate to true for this event instance

### JobExecutionSucceededEvent

    public JobExecutionSucceededEvent()

Method Detail

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Saves the contents of this object to the stream specified.

  Specified by:
    `writeExternal` in interface `java.io.Externalizable`
  Throws:
    `java.io.IOException`

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Restores the contents of this object from the stream specified.

  Specified by:
    `readExternal` in interface `java.io.Externalizable`
  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### equals

    public boolean equals(java.lang.Object v)

  Overrides:
    `equals` in class `JobExecutionEvent`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `JobExecutionEvent`

### getVersion

    public static int getVersion()

  Internal use only.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Containers for J2EE Job Scheduler Java API Reference 10g Release 3 (10.1.3) B16026-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, Oracle. All rights reserved.